Skip to main content
GET
Fetch customer costs

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

customer_id
string | null
required

Query Parameters

timeframe_start
string<date-time> | null

Costs returned are inclusive of timeframe_start.

Example:

"2022-02-01T05:00:00Z"

timeframe_end
string<date-time> | null

Costs returned are exclusive of timeframe_end.

Example:

"2022-03-01T05:00:00Z"

view_mode
enum<string> | null

Controls whether Orb returns cumulative costs since the start of the billing period, or incremental day-by-day costs. If your customer has minimums or discounts, it's strongly recommended that you use the default cumulative behavior.

Available options:
periodic,
cumulative
currency
string | null

The currency or custom pricing unit to use.

Response

OK

data
AggregatedCost · object[]
required